×
Kunena 5.1.18 Released (30 Jun 2020)

The Kunena team has announce the arrival of Kunena 5.1.18 [K 5.1.18] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1.

× This category is for K 1.7 issues only.

Important [RESOLVED] upgrade joomla 1.6.1 to 1.6.2 and Kunena 1.6.3

More
9 years 3 months ago - 9 years 3 months ago #1 by 56francesco
after upgrading from 1.6.1 to 1.6.2 of the joomla superadmin can no longer manage and edit categories and users Kunena
I'm stuck, I can intervene in the database, or is there any option to unblock the situation? please is there any solution?
Last edit: 9 years 3 months ago by 56francesco.

Please Log in or Create an account to join the conversation.

More
9 years 3 months ago #2 by xillibit
Hello,

You need to wait k1.6.4 which will fix plenty of issues

I don't provide support by PM, because this can be useful for someone else.

Please Log in or Create an account to join the conversation.

More
9 years 3 months ago #3 by 56francesco
Thanks very much for your quick response.
Get there

Please Log in or Create an account to join the conversation.

More
9 years 3 months ago - 9 years 3 months ago #4 by sozzled
I'm sorry, but I think we need to emphasise a very important fact.
Kunena 1.6.3 is not fully compatible with Joomla 1.6.x
The technical requirements clearly states the following:

Users may want to experiment with K 1.6 and Joomla 1.6. K 1.6.2 provides some capability to work with Joomla 1.6 and this capability will be extended in future releases. There are issues with installing or using K 1.6.x in Joomla 1.6 at this time. Some of these issues are show-stoppers if users are considering Joomla 1.6 to run their production websites. Many of these issues will be fixed in future versions of Kunena and Joomla. At this time users are encouraged to report issues with Joomla 1.6 as test cases but support may not necessarily be available to resolve them. Until otherwise advised, please use the K 1.6 test reports category to report issues that you are having with K 1.6 and J! 1.6. Until accepted by the Joomla Extensions Directory as a native Joomla 1.6 extension, K 1.6 is not a Joomla 1.6 native extension.

That is the whole point.

K 1.6.4 will improve Kunena's compatibility with J! 1.6 but, until the Joomla Extensions Directory gives its endorsement, K 1.6 is not ready to be classed as a Joomla 1.6 native extension.

K 1.6.4 will fix a lot of issues; some of those issues affect Kunena' interoperability with J! 1.6. J! 1.6.2 fixes a lot of issues with J! 1.6, too. K 1.6.4 will not work 100% under J! 1.6.1 and, no matter how much tinkering people try to do, people will need to use J! 1.6.2 or some future release of J! 1.6 (if there is going to be a future release) before all these interoperability issues are fully resolved.
Last edit: 9 years 3 months ago by sozzled.

Please Log in or Create an account to join the conversation.

More
9 years 3 months ago - 9 years 3 months ago #5 by priestsjaak
Having the same issues and starting to dig into the why's.
It is not only Kunena dealing with this latest joomla patch.
This patch contains a HUGE bug...stay from it for now till a solution has been published by Joomla.

Read more about why it broke so many so called 3rd party extensions:

joomlacode.org/gf/project/joomla/tracker...racker_item_id=25657

cheers and hope its of any help 2u on getting some answers.

[EDIT]:
In short: Joomla will fire an emergency fix as likely as today or tomorrow as 1.6.3
Last edit: 9 years 3 months ago by priestsjaak.
The following user(s) said Thank You: sozzled

Please Log in or Create an account to join the conversation.

More
9 years 3 months ago #6 by 56francesco
With joomla 1.6.2 it was impossible to enter into variation in the categories of the forum, now after upgrading to joomla 1.6.3 FireBoard has returned to work correctly.
Waiting for FireBoard 1.6.4 I'm doing a project and I must say that I am very well.
Thanks for all your help.

Please Log in or Create an account to join the conversation.

More
9 years 3 months ago #7 by priestsjaak
Joomla release 1.6.3 solves the issue and is available for download as we speak.
If I come accross to more issues I will let you know, but at first glance it seems to solve it.

The patch is basicly a partial reverse sorting that Mootools are loaded by default again.
This seems however a discussion amongst J-devs to get this out as an initial plan they had.
Don't think we are done with this issue yet and 3pd like Kunena most likely need to address this in future releases.
Good to know though.

Please Log in or Create an account to join the conversation.

More
9 years 3 months ago #8 by sozzled
Thank you very much, priestsjaak, for the help you have given in this topic.

There are a few very important consequences of this topic:

(1) No-one should install J! 1.6.2, under any circumstances, not if they want to use Kunena 1.6.
(2) Every person who uses Internet Explorer 9 on a Joomla website is going to have problems if they use J! 1.6.2
(3) Every person who has already installed J! 1.6.2 needs to upgrade immediately.
(4) I can tell you that J 1.6.3 - even before it's released - has problems too. If you press the back button on your browser, the Joomla content is not refreshed. We have the same problem in J! 1.5.23. It's a real pain in the you-know-where if you're like me, moderating a forum, looking at the NEW indicator (but you have to refresh the page every single time)

We need to update Javascript and Kunena and Common causes of Mootools (Javascript library) issues and Kunena because of this.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.120 seconds